%define tar_date 20160608

Name:        google-compute-engine
Version:     2.0.0
Release:     1%{?dist}
Group:       default
Summary:     Google Compute Engine
AutoReqProv: no
BuildArch:   noarch

License:    Apache Software License
URL:        https://github.com/GoogleCloudPlatform/compute-image-packages
Source0:    https://github.com/GoogleCloudPlatform/compute-image-packages/archive/%{tar_date}.tar.gz

BuildRequires: python-devel
BuildRequires: python-setuptools
Requires:      python-boto
Requires:      python-setuptools
%{?python_provide:%python_provide python2-%{name}}

%description
Google Compute Engine

%prep
%setup -q -n compute-image-packages-%{tar_date}

%build
export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} build

%install
export CONFIG="systemd"
%{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

%post
systemctl stop --no-block google-accounts-daemon
systemctl stop --no-block google-clock-skew-daemon
systemctl stop --no-block google-ip-forwarding-daemon

systemctl enable google-accounts-daemon.service
systemctl enable google-clock-skew-daemon.service
systemctl enable google-instance-setup.service
systemctl enable google-ip-forwarding-daemon.service
systemctl enable google-shutdown-scripts.service
systemctl enable google-startup-scripts.service

systemctl start --no-block google-accounts-daemon
systemctl start --no-block google-clock-skew-daemon
systemctl start --no-block google-ip-forwarding-daemon

%preun
if [ $1 -eq 0 ]
then
  systemctl stop --no-block google-accounts-daemon
  systemctl stop --no-block google-clock-skew-daemon
  systemctl stop --no-block google-ip-forwarding-daemon

  systemctl --no-reload disable google-accounts-daemon.service
  systemctl --no-reload disable google-clock-skew-daemon.service
  systemctl --no-reload disable google-instance-setup.service
  systemctl --no-reload disable google-ip-forwarding-daemon.service
  systemctl --no-reload disable google-shutdown-scripts.service
  systemctl --no-reload disable google-startup-scripts.service
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/google_accounts_daemon
%{_bindir}/google_clock_skew_daemon
%{_bindir}/google_instance_setup
%{_bindir}/google_ip_forwarding_daemon
%{_bindir}/google_metadata_script_runner
%{_bindir}/optimize_local_ssd
%{_bindir}/set_multiqueue
%{_prefix}/lib/systemd/system/google-accounts-daemon.service
%{_prefix}/lib/systemd/system/google-clock-skew-daemon.service
%{_prefix}/lib/systemd/system/google-instance-setup.service
%{_prefix}/lib/systemd/system/google-ip-forwarding-daemon.service
%{_prefix}/lib/systemd/system/google-shutdown-scripts.service
%{_prefix}/lib/systemd/system/google-startup-scripts.service
%{_sysconfdir}/default/instance_configs.cfg
%{python2_sitelib}/google_compute_engine/*
%{python2_sitelib}/google_compute_engine-%{version}-py2.7.egg-info/*

%changelog
* Fri Jun 17 2016 Satoe Imaishi <simaishi@redhat.com> - 2.0.0-1
- Initial Build

